Subject: Re: ls could not list all files
From: Mike Eggleston <[email-masked]>
To: [email-masked]
Date: Thu, 8 Jul 2004 09:20:47 -0500

On Thu, 08 Jul 2004, Vinay Kumar wrote:

> Dear all,
>      I am facing strange problem. I have a directory test1 in which there
> are number of files. I am running following command and see some problem
> here.
> 
> $ ls test1/* | wc
>  2745    2745   32724
> 
> So total number of charcter if all filename is written on command line is
> 32724. Now I create another file.
> 
> $ touch test1/a
> $ ls test1/*
> bash: /bin/ls: Invalid argument
> 
> ls does not work in this case. Is there any limitation on total number of
> charcters in command line? How could we change it to higher limit?
> 
> I am using cygwin 1.5.5.1 and fileutils-4.1-2.

This is a unix question.

$ ls -1 test1 | wc
$ touch test1/a
$ ls -1 test1 | wc

You do not need the '/*' at the end of the ls.

Mike

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/